
/********************************************************************************
 The purpose of this program is to read the Public Use ASCII (text)
 fixed format data file.
********************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
FILENAME datafile 'c:\ssocs\PU_SSOCS08_ASCII.txt' ;

/* The following line should contain the directory in which you wish your SAS file to be stored */
libname library 'c:\ssocs' ;

/* The following line contains the name (without the extension) for your SAS dataset */
%LET dataset = pu_ssocs08_SAS;

proc format;

value C0014_RF
. = 'Missing'
1 = 'Principal'
2 = 'Vice-principal or disciplinarian'
3 = 'Security staff'
4 = 'Other school-level staff'
5 = 'Superintendent or district staff'
6 = 'Multiple respondents, principal plus other';

value $ C0016_RF
'-1'='Missing'
'00'='0'
'01'='1'
'02'='2'
'03'='3'
'04'='4'
'05'='5'
'06'='6'
'07'='7'
'08'='8'
'09'='9'
'10'='10'
'11'='11'
'12'='12'
'13'='13'
'14'='14'
'15'='15'
'16'='16'
'17'='17'
'18'='18'
'19'='19'
'20'='20'
'21'='21'
'22'='22'
'23'='23'
'24'='24'
'25'='25'
'26'='26'
'27'='27'
'28'='28'
'29'='29'
'30'='30'
'31'='more than 30';


value $ C0540_RF
'00'='0'
'01'='1'
'02'='2'
'03'='3'
'04'='4'
'05'='5'
'06'='6'
'07'='7'
'08'='8'
'09'='9'
'10'='10'
'11'='11'
'12'='12'
'13'='13'
'14'='14'
'15'='15'
'16'='16'
'17'='17'
'18'='18'
'19'='19'
'20'='20'
'21'='21'
'22'='22'
'23'='23'
'24'='24'
'25'='25'
'26'='26 or more';

value $ C0542_RF
'00'='0'
'01'='1'
'02'='2'
'03'='3'
'04'='4'
'05'='5'
'06'='6'
'07'='7'
'08'='8'
'09'='9 or more';

value $ C0544_RF
'00'='0'
'01'='1'
'02'='2'
'03'='3'
'04'='4'
'05'='5'
'06'='6'
'07'='7'
'08'='8'
'09'='9'
'10'='10'
'11'='11'
'12'='12'
'13'='13'
'14'='14'
'15'='15'
'16'='16'
'17'='17'
'18'='18'
'19'='19'
'20'='20'
'21'='21'
'22'='22'
'23'='23'
'24'='24'
'25'='25'
'26'='26 or more';

value $ C0546_RF
'00'='0'
'01'='1'
'02'='2'
'03'='3'
'04'='4'
'05'='5'
'06'='6'
'07'='7'
'08'='8'
'09'='9'
'10'='10'
'11'='11 or more';

value $ C0556_RF
'00'='0'
'01'='1'
'02'='2'
'03'='3'
'04'='4'
'05'='5'
'06'='6'
'07'='7'
'08'='8'
'09'='9'
'10'='10'
'11'='11 or more';

value $ C0558_RF
'00'='0'
'01'='1'
'02'='2'
'03'='3'
'04'='4'
'05'='5'
'06'='6 or more';

value CRIME
1='High level of crime'
2='Moderate level of crime'
3='Low level of crime'
4='Students come from areas with very different levels of crime' ;

value FLG
0='Value not imputed'
1="Missing value imputed to = 'zero'"
2="Missing value logically imputed to = 'yes'/'no'"
3="'No'/'yes' value logically imputed to = 'yes'/'no'"
4='Out of range value assumed to be count rather than percent - value used to impute a percent'
5='Missing value imputed using Best Match procedure (perfect match)'
6='Missing value imputed using Best Match procedure (relaxed criteria)'
7='Missing value imputed using data from the SASS Sample Frame'
8='Missing value imputed based on survey proportions'
9='Out of range value topcoded'
10='Zeros imputed based on % observed in the donor class'
11='Values found using average ratio from 5 donors'
12="When Q22 col1='1' and all other columns were missing, one column selected to have a '1' imputed"
13='Value imputed in order to maintain balance within Q22 row and between Q22 and Q23'
14='Values found by taking average ratio from an entire imputation class'
15='Original value was deleted and imputed based on an imputed value'
16='Modal value imputed'
17='Missing value was imputed based on an imputed value'
18='Values found by finding avg values within an entire imputation'
19='When col1=1 and all other columns were missing/zero one column selected to have a 1 imputed and remainder set to zero'
20='Values imputed from nonimputed column 1 values'
21='Values imputed from nonimputed column 2-5 values '
22='Values adjusted downward to maintain relationship between q22 and q23'
23='Values imputed from at least one imputed Q22 value'
24='Values imputed from all existing Q23 values'
25='Values modified by nonimputed Q33 value'
26='Values imputed from imputed q23b values'
27='Values imputed from existing q23b values'
28='Values imputed clerically'
;

value FR_CATMN
-8 = 'Not reported'
1 = 'Less than 5 percent'
2 = '5 to less than 20 percent'
3 = '20 to less than 50 percent'
4 = '50 percent or more';

value FR_URBAN
1 = 'City'
2 = 'Suburb'
3 = 'Town'
4 = 'Rural';

value FR_LVELF
1 = 'Primary'
2 = 'Middle'
3 = 'High'
4 = 'Combined';

value FR_SIZEF
1 = '< 300'
2 = '300 - 499'
3 = '500 - 999'
4 = '1,000 + ';

value Q5F
1='0-25%'
2='26-50%'
3='51-75%'
4='76-100%'
5='School does not offer' ;

value Q13F
1='Limits in major way'
2='Limits in minor way'
3='Does not limit' ;

value Q20F
1='Happens daily'
2='Happens at least once a week'
3='Happens at least once a month'
4='Happens on occasion'
5='Never happens' ;


value SASMSG
.='Missing'
-8='Not reported' ;

value  STRF
111=   'Primary, <300, City'
112=   'Primary, <300, Suburb'
113=   'Primary, <300, Town'
114=   'Primary, <300, Rural'
121=   'Primary, 300-499, City'
122=   'Primary, 300-499, Suburb'
123=   'Primary, 300-499, Town'
124=   'Primary, 300-499, Rural'
131=   'Primary, 500-999, City'
132=   'Primary, 500-999, Suburb'
133=   'Primary, 500-999, Town'
134=   'Primary, 500-999, Rural'
141=   'Primary, 1,000+, City'
142=   'Primary, 1,000+, Suburb'
143=   'Primary, 1,000+, Town'
144=   'Primary, 1,000+, Rural'
211=   'Middle, <300, City'
212=   'Middle, <300, Suburb'
213=   'Middle, <300, Town'
214=   'Middle, <300, Rural'
221=   'Middle, 300-499, City'
222=   'Middle, 300-499, Suburb'
223=   'Middle, 300-499, Town'
224=   'Middle, 300-499, Rural'
231=   'Middle, 500-999, City'
232=   'Middle, 500-999, Suburb'
233=   'Middle, 500-999, Town'
234=   'Middle, 500-999, Rural'
241=   'Middle, 1,000+, City'
242=   'Middle, 1,000+, Suburb'
243=   'Middle, 1,000+, Town'
244=   'Middle, 1,000+, Rural'
311=   'High School, <300, City'
312=   'High School, <300, Suburb'
313=   'High School, <300, Town'
314=   'High School, <300, Rural'
321=   'High School, 300-499, City'
322=   'High School, 300-499, Suburb'
323=   'High School, 300-499, Town'
324=   'High School, 300-499, Rural'
331=   'High School, 500-999, City'
332=   'High School, 500-999, Suburb'
333=   'High School, 500-999, Town'
334=   'High School, 500-999, Rural'
341=   'High School, 1,000+, City'
342=   'High School, 1,000+, Suburb'
343=   'High School, 1,000+, Town'
344=   'High School, 1,000+, Rural'
411=   'Combined, <300, City'
412=   'Combined, <300, Suburb'
413=   'Combined, <300, Town'
414=   'Combined, <300, Rural'
421=   'Combined, 300-499, City'
422=   'Combined, 300-499, Suburb'
423=   'Combined, 300-499, Town'
424=   'Combined, 300-499, Rural'
431=   'Combined, 500-999, City'
432=   'Combined, 500-999, Suburb'
433=   'Combined, 500-999, Town'
434=   'Combined, 500-999, Rural'
441=   'Combined, 1,000+, City'
442=   'Combined, 1,000+, Suburb'
443=   'Combined, 1,000+, Town'
444=   'Combined, 1,000+, Rural';


value $ STRMSG
' ' = 'Missing' ;

value yesno
 1='Yes'
 2='No'
-1='Question was skipped' ;

value LegSkip
 1='Yes'
 2='No'
-1='Legitimate Skip' ;


run ;

DATA library.&dataset ;
INFILE datafile LRECL=1499;
INPUT
   SCHID  1-4               C0014_R  5               C0016_R $ 6-15        
   C0110  16                C0112  17                C0114  18             
   C0116  19                C0120  20                C0122  21             
   C0124  22                C0126  23                C0128  24             
   C0130  25                C0132  26                C0134  27             
   C0136  28                C0138  29                C0140  30             
   C0141  31                C0142  32                C0143  33             
   C0144  34                C0146  35                C0148  36             
   C0150  37                C0152  38                C0154  39             
   C0156  40-41             C0158  42                C0160  43-44          
   C0162  45                C0164  46-47             C0166  48             
   C0168  49-50             C0169  51                C0170  52             
   C0171  53                C0172  54-55             C0173  56             
   C0174  57                C0176  58                C0178  59             
   C0180  60                C0182  61                C0184  62             
   C0186  63                C0188  64                C0190  65             
   C0192  66                C0194  67                C0196  68             
   C0198  69                C0200  70                C0202  71             
   C0204  72                C0206  73                C0208  74             
   C0210  75                C0212  76                C0214  77             
   C0216  78                C0218  79                C0220  80             
   C0222  81-82             C0224  83-84             C0226  85-86          
   C0228  87-88             C0230  89-90             C0244  91-92          
   C0246  93-94             C0248  95-96             C0250  97-98          
   C0252  99-100            C0254  101-102           C0256  103-104        
   C0258  105-106           C0260  107-108           C0262  109-110        
   C0264  111-112           C0266  113               C0268  114            
   C0270  115               C0272  116               C0274  117            
   C0276  118               C0280  119               C0282  120            
   C0284  121               C0286  122               C0288  123            
   C0290  124               C0292  125               C0294  126            
   C0296  127               C0298  128               C0300  129            
   C0302  130               C0304  131               C0306  132            
   C0308  133               C0374  134               C0376  135            
   C0378  136               C0380  137               C0382  138            
   C0384  139               C0386  140               C0388  141            
   C0390  142               C0392  143-144           C0394  145            
   C0396  146-147           C0398  148               C0400  149-150        
   C0402  151               C0404  152-153           C0406  154            
   C0408  155-156           C0410  157               C0412  158-159        
   C0414  160               C0416  161-162           C0418  163            
   C0420  164-165           C0422  166               C0424  167-168        
   C0426  169               C0428  170-171           C0430  172            
   C0432  173-174           C0434  175               C0436  176-177        
   C0438  178               C0440  179-180           C0442  181            
   C0444  182-183           C0446  184               C0448  185-186        
   C0450  187               C0452  188-189           C0454  190            
   C0456  191-192           C0508  193-196           C0510  197-199        
   C0512  200-202           C0514  203-206           C0516  207-210        
   C0518  211-213           C0520  214-216           C0526  217-219        
   C0528  220-222           C0532  223-225           C0534  226-228        
   C0536  229-231           C0538  232-233           C0540_R $ 234-243     
   C0542_R $ 244-252        C0544_R $ 253-262        C0546_R $ 263-272     
   C0556_R $ 273-282        C0558_R $ 283-291        C0560  292            
   C0562  293               C0568  294-296           C0570  297-300        
   C0572  301-303           C0578 $ 304-311          C0578_DD  312-313     
   C0578_MM  314-315        C0578_YY  316-319        C0580  320-322        
   CRISIS08  323            DISTOT08  324-327        INCID08  328-330      
   INCPOL08  331-333        OTHACT08  334-337        OUTSUS08  338-341     
   PROBWK08  342            REMOVL08  343-345        STRATA  346-348       
   STUOFF08  349-352        SVINC08  353-355         SVPOL08  356-358      
   TRANSF08  359-361        VIOINC08  362-364        VIOPOL08  365-367     
   DISFIRE08  368-370       DISWEAP08  371-373       DISDRUG08  374-376    
   DISALC08  377-378        DISATT08  379-381        DISINS08  382-385     
   GANGHATE  386-388        DISRUPT  389-390         SEC_FT  391-393       
   SEC_PT  394-395          FR_CATMN  396            FR_LVEL  397          
   FR_SIZE  398             FR_URBAN  399            FINALWGT  400-417     
   REPWGT1  418-435         REPWGT2  436-453         REPWGT3  454-471      
   REPWGT4  472-489         REPWGT5  490-507         REPWGT6  508-525      
   REPWGT7  526-543         REPWGT8  544-561         REPWGT9  562-579      
   REPWGT10  580-597        REPWGT11  598-615        REPWGT12  616-633     
   REPWGT13  634-651        REPWGT14  652-669        REPWGT15  670-687     
   REPWGT16  688-705        REPWGT17  706-723        REPWGT18  724-741     
   REPWGT19  742-759        REPWGT20  760-777        REPWGT21  778-795     
   REPWGT22  796-813        REPWGT23  814-831        REPWGT24  832-849     
   REPWGT25  850-867        REPWGT26  868-885        REPWGT27  886-903     
   REPWGT28  904-921        REPWGT29  922-939        REPWGT30  940-957     
   REPWGT31  958-975        REPWGT32  976-993        REPWGT33  994-1011    
   REPWGT34  1012-1029      REPWGT35  1030-1047      REPWGT36  1048-1065   
   REPWGT37  1066-1083      REPWGT38  1084-1101      REPWGT39  1102-1119   
   REPWGT40  1120-1137      REPWGT41  1138-1155      REPWGT42  1156-1173   
   REPWGT43  1174-1191      REPWGT44  1192-1209      REPWGT45  1210-1227   
   REPWGT46  1228-1245      REPWGT47  1246-1263      REPWGT48  1264-1281   
   REPWGT49  1282-1299      REPWGT50  1300-1317      IC0110  1318          
   IC0112  1319             IC0114  1320             IC0116  1321          
   IC0120  1322             IC0122  1323             IC0124  1324          
   IC0126  1325             IC0128  1326             IC0130  1327          
   IC0132  1328             IC0134  1329             IC0136  1330          
   IC0138  1331             IC0140  1332             IC0141  1333          
   IC0142  1334             IC0143  1335             IC0144  1336          
   IC0146  1337             IC0148  1338             IC0150  1339          
   IC0152  1340             IC0154  1341             IC0156  1342          
   IC0158  1343             IC0160  1344             IC0162  1345          
   IC0164  1346             IC0166  1347             IC0168  1348          
   IC0169  1349             IC0170  1350             IC0171  1351          
   IC0172  1352             IC0173  1353             IC0174  1354          
   IC0176  1355             IC0178  1356             IC0180  1357          
   IC0182  1358             IC0184  1359             IC0186  1360          
   IC0188  1361             IC0190  1362             IC0192  1363          
   IC0194  1364             IC0196  1365             IC0198  1366          
   IC0200  1367             IC0202  1368             IC0204  1369          
   IC0206  1370             IC0208  1371             IC0210  1372          
   IC0212  1373             IC0214  1374             IC0216  1375          
   IC0218  1376             IC0220  1377             IC0222  1378          
   IC0224  1379             IC0226  1380             IC0228  1381          
   IC0230  1382             IC0244  1383             IC0246  1384          
   IC0248  1385             IC0250  1386             IC0252  1387          
   IC0254  1388             IC0256  1389             IC0258  1390          
   IC0260  1391             IC0262  1392             IC0264  1393          
   IC0266  1394             IC0268  1395             IC0270  1396          
   IC0272  1397             IC0274  1398             IC0276  1399          
   IC0280  1400             IC0282  1401             IC0284  1402          
   IC0286  1403             IC0288  1404             IC0290  1405          
   IC0292  1406             IC0294  1407             IC0296  1408          
   IC0298  1409             IC0300  1410             IC0302  1411          
   IC0304  1412             IC0306  1413             IC0308  1414          
   IC0374  1415             IC0376  1416             IC0378  1417          
   IC0380  1418             IC0382  1419             IC0384  1420          
   IC0386  1421             IC0388  1422             IC0390  1423          
   IC0392  1424             IC0394  1425             IC0396  1426          
   IC0398  1427             IC0400  1428             IC0402  1429          
   IC0404  1430             IC0406  1431-1432        IC0408  1433-1434     
   IC0410  1435-1436        IC0412  1437-1438        IC0414  1439          
   IC0416  1440             IC0418  1441             IC0420  1442          
   IC0422  1443             IC0424  1444             IC0426  1445          
   IC0428  1446             IC0430  1447             IC0432  1448          
   IC0434  1449             IC0436  1450             IC0438  1451          
   IC0440  1452             IC0442  1453             IC0444  1454          
   IC0446  1455             IC0448  1456             IC0450  1457          
   IC0452  1458             IC0454  1459             IC0456  1460          
   IC0508  1461-1462        IC0510  1463-1464        IC0512  1465-1466     
   IC0514  1467-1468        IC0516  1469-1470        IC0518  1471-1472     
   IC0520  1473-1474        IC0526  1475             IC0528  1476          
   IC0532  1477             IC0534  1478             IC0536  1479          
   IC0538  1480             IC0540  1481-1482        IC0542  1483-1484     
   IC0544  1485-1486        IC0546  1487-1488        IC0556  1489-1490     
   IC0558  1491-1492        IC0560  1493             IC0562  1494          
   IC0568  1495             IC0570  1496-1497        IC0572  1498-1499     
 ;                       

LABEL
   SCHID = "Temporary unique school identifier"
   C0014_R = "Title/position of respondent (recoded)"
   C0016_R = "# of years respondent at the school (topcoded)"
   C0110 = "School practice require visitor check in"
   C0112 = "Access controlled locked/monitored doors"
   C0114 = "Grounds have locked/monitored gates"
   C0116 = "Students pass through metal detectors"
   C0120 = "Have random metal detector checks on students"
   C0122 = "Practice to close campus for lunch"
   C0124 = "Practice random dog sniffs for drugs"
   C0126 = "Random sweeps for contraband not including dog sniffs"
   C0128 = "Require drug testing for athletes"
   C0130 = "Require drug testing for students in extra-curricular activities"
   C0132 = "Require drug testing for any other students"
   C0134 = "Require students to wear uniforms"
   C0136 = "Practice to enforce a strict dress code"
   C0138 = "Provide school lockers to students"
   C0140 = "Require clear book bags or ban book bags"
   C0141 = "Provide an electronic notification system that automatically notifies parents in case of a school-wide emergency"
   C0142 = "Require students to wear badge or photo ID"
   C0143 = "Provide a structured anonymous threat reporting system"
   C0144 = "Require faculty/staff to wear badge or photo ID"
   C0146 = "Security camera(s) monitor the school"
   C0148 = "Provide telephones in most classrooms"
   C0150 = "Provide two-way radios to any staff"
   C0152 = "Tobacco prohibited on school grounds"
   C0154 = "School has written plan for shootings"
   C0156 = "Drilled students on plan for shootings"
   C0158 = "Written plan for natural disasters"
   C0160 = "Drilled students on plan for natural disasters"
   C0162 = "Written crisis plan for hostages"
   C0164 = "Drilled students on plan for hostages"
   C0166 = "Written plan for bomb threats"
   C0168 = "Drilled students on plan for bomb threats"
   C0169 = "Written plan for suicide threat or incident"
   C0170 = "Written plan for chemical, biological, or radiological threats"
   C0171 = "Written plan for the U.S. national threat level is changed to Red"
   C0172 = "Drilled students on plan for chemical, biological, or radiological threats"
   C0173 = "Written plan for pandemic flu"
   C0174 = "Prevention curriculum/instruction/training"
   C0176 = "Behavioral modification for students"
   C0178 = "Student counseling/social work"
   C0180 = "Individual mentoring/tutoring students"
   C0182 = "Recreation/enrichment student activities"
   C0184 = "Student involvement resolving problems"
   C0186 = "Promote sense of community/integration"
   C0188 = "Hotline/tipline to report problems"
   C0190 = "Formal process to obtain parental input"
   C0192 = "Provide training/assistance to parents"
   C0194 = "Program involves parents at school"
   C0196 = "Parent participates in open house or back to school night"
   C0198 = "Parent participates in parent-teacher conference"
   C0200 = "Parent participates in subject-area events"
   C0202 = "Parent volunteers at school"
   C0204 = "Community involvement-parent groups"
   C0206 = "Community involvement-social services"
   C0208 = "Community involvement-juvenile justice"
   C0210 = "Community involvement-law enforcement"
   C0212 = "Community involvement-mental health"
   C0214 = "Community involvement-civic organizations"
   C0216 = "Community involvement-business"
   C0218 = "Community involvement-religious organizations"
   C0220 = "Security guard, security personnel, or sworn law enforcement officer"
   C0222 = "Security used during school hours"
   C0224 = "Security while students arrive/leave"
   C0226 = "Security at selected school activities"
   C0228 = "Security when school not occurring"
   C0230 = "Other times security used"
   C0244 = "Guards in uniform or identifiable clothes"
   C0246 = "Guards carry a stun gun"
   C0248 = "Guards carry chemical aerosol sprays"
   C0250 = "Guards armed with firearms"
   C0252 = "Security enforcement and patrol"
   C0254 = "Maintain school discipline"
   C0256 = "Coordinated with local police"
   C0258 = "Identify problems and seek solutions"
   C0260 = "Train teachers in school safety"
   C0262 = "Mentor students"
   C0264 = "Teach or train students (e.g., drug-related education)"
   C0266 = "Teacher training-classroom management"
   C0268 = "Teacher training-discipline policies"
   C0270 = "Teacher training-safety procedures"
   C0272 = "Teacher training-early warning signs for violent behavior"
   C0274 = "Teacher training-student alcohol/drug abuse"
   C0276 = "Teacher training-positive behavioral intervention"
   C0280 = "Efforts limited by inadequate/lack of teacher training"
   C0282 = "Efforts limited by inadequate/lack of alternative placement"
   C0284 = "Efforts limited by parental complaints"
   C0286 = "Efforts limited by inadequate/lack of teacher support"
   C0288 = "Efforts limited by inadequate/lack of parent support"
   C0290 = "Efforts limited by fear of student retaliation"
   C0292 = "Efforts limited by fear of litigation"
   C0294 = "Efforts limited by inadequate funds"
   C0296 = "Efforts limited by inconsistent application of policies"
   C0298 = "Efforts limited by fear of district or state reprisal"
   C0300 = "Efforts limited by fed policies/special ed"
   C0302 = "Efforts limited by other federal policies-not special ed"
   C0304 = "Efforts limited by other state/district policies-not special ed"
   C0306 = "Any school deaths from homicides"
   C0308 = "School shooting incidents"
   C0374 = "How often student racial/ethnic tensions"
   C0376 = "How often student bullying occurs"
   C0378 = "How often student sexual harassment of students"
   C0380 = "How often student verbal abuse of teachers"
   C0382 = "How often widespread disorder in classrooms"
   C0384 = "How often student acts of disrespect for teachers-not verbal abuse"
   C0386 = "How often student gang activities"
   C0388 = "How often do cult or extremist group activities occur at school"
   C0390 = "Removal with no services available"
   C0392 = "Removal with no services available-action used"
   C0394 = "Removal with tutoring/at-home instruction available"
   C0396 = "Removal with tutoring/at-home instruction available-action used"
   C0398 = "Transfer to specialized school available"
   C0400 = "Transfer to specialized school available-action used"
   C0402 = "Transfer to regular school available"
   C0404 = "Transfer to regular school available-action used"
   C0406 = "Outside suspension/no services available"
   C0408 = "Outside suspension/no services available-action used"
   C0410 = "Outside suspension with services available"
   C0412 = "Outside suspension with services available-action used"
   C0414 = "In-school suspension/no services available"
   C0416 = "In-school suspension/no services available-action used"
   C0418 = "In-school suspension with services available"
   C0420 = "In-school suspension with services available-action used"
   C0422 = "Referral to school counselor available"
   C0424 = "Referral to school counselor available-action used"
   C0426 = "In-school disciplinary plan available"
   C0428 = "In-school disciplinary plan available - action used"
   C0430 = "Outside school disciplinary plan available"
   C0432 = "Outside school disciplinary plan available - action used"
   C0434 = "Keep off bus for misbehavior available"
   C0436 = "Keep off bus for misbehavior available-action used"
   C0438 = "Corporal punishment available"
   C0440 = "Corporal punishment available-action used"
   C0442 = "School probation available"
   C0444 = "School probation available-action used"
   C0446 = "Detention/Saturday school available"
   C0448 = "Detention/Saturday school available-action used"
   C0450 = "Loss of student privileges available"
   C0452 = "Loss of student privileges available-action used"
   C0454 = "Require community service available"
   C0456 = "Require community service available-action used"
   C0508 = "# of students involved in insubordination-total"
   C0510 = "# of removals for insubordination"
   C0512 = "# of transfers for insubordination"
   C0514 = "# of suspensions for insubordination"
   C0516 = "# of other actions for insubordination"
   C0518 = "# of removals with no service-total"
   C0520 = "# of transfers to specialized schools-total"
   C0526 = "Percentage students limited English proficient"
   C0528 = "Percentage special education students"
   C0532 = "Percentage students below 15th percentile standardized tests"
   C0534 = "Percentage students likely to go to college"
   C0536 = "Percentage students academic achievement important"
   C0538 = "Typical number of classroom changes"
   C0540_R = "# of paid full-time special ed teacher (topcoded)"
   C0542_R = "# of paid part-time special ed teacher (topcoded)"
   C0544_R = "# of paid full-time special ed aides (topcoded)"
   C0546_R = "# of paid part-time special ed aides (topcoded)"
   C0556_R = "# of paid full-time counselors (topcoded)"
   C0558_R = "# of paid part-time counselors (topcoded)"
   C0560 = "Crime where students live"
   C0562 = "Crime where school located"
   C0568 = "Average percentage daily attendance"
   C0570 = "# of students transferred to school"
   C0572 = "# of students transferred from school"
   C0578 = "Date questionnaire completed MMDDYYYY"
   C0578_DD = "Day questionnaire completed"
   C0578_MM = "Month questionnaire completed"
   C0578_YY = "Year questionnaire completed"
   C0580 = "Time required to complete questionnaire"
   CRISIS08 = "# of types of crises covered in written plans"
   DISTOT08 = "Total number of disciplinary actions recorded"
   INCID08 = "Total number of incidents recorded"
   INCPOL08 = "Total number of incidents reported to police"
   OTHACT08 = "Total 'other actions' for specified offenses"
   OUTSUS08 = "Total OSS > 5 days but < the remainder of school for specified offenses"
   PROBWK08 = "# of types of problems that occur daily or at least once a week"
   REMOVL08 = "Total removals with no continuing school services for specified offenses"
   STRATA = "Collapsed STRATUM code"
   STUOFF08 = "Total students involved in specified offenses"
   SVINC08 = "Total number of serious violent incidents recorded"
   SVPOL08 = "Total number of serious violent incidents reported to police"
   TRANSF08 = "Total transfers to specialized schools for specified offenses"
   VIOINC08 = "Total number of violent incidents recorded"
   VIOPOL08 = "Total number of violent incidents reported to police"
   DISFIRE08 = "Total number of disciplinary actions recorded for use or possession of a firearm or explosive device"
   DISWEAP08 = "Total number of disciplinary actions recorded for use or possession of a weapon other than a firearm or explosive device"
   DISDRUG08 = "Total number of disciplinary actions recorded for distribution, possession, or use of illegal drugs"
   DISALC08 = "Total number of disciplinary actions recorded for distribution, possession, or use of alcohol"
   DISATT08 = "Total number of disciplinary actions recorded for physical attacks or fights"
   DISINS08 = "Total number of disciplinary actions recorded for insubordination"
   GANGHATE = "Total number of gang-related and hate crimes"
   DISRUPT = "Total number of disruptions"
   SEC_FT = "Total number of full-time security guards, SROs, or law enforcement"
   SEC_PT = "Total number of part-time security guards, SROs, or law enforcement"
   FR_CATMN = "Recoded % of combined Black/African American, Hispanic/Latino, Asian, Native Hawaiian/Other Pacific Islander, and American Indian/Alaska Native student enrollment in school  based on 05-06 CCD frame variables (School)"
   FR_LVEL = "School grades offered - based on 05-06 CCD frame variables (School)"
   FR_SIZE = "School size categories - based on 05-06 CCD frame variables (School)"
   FR_URBAN = "Urbanicity - based on urban-centric location of school 05-06 CCD (School)"
   FINALWGT = "Final weight for the sample"
   REPWGT1 = "Jackknife replicate 1"
   REPWGT2 = "Jackknife replicate 2"
   REPWGT3 = "Jackknife replicate 3"
   REPWGT4 = "Jackknife replicate 4"
   REPWGT5 = "Jackknife replicate 5"
   REPWGT6 = "Jackknife replicate 6"
   REPWGT7 = "Jackknife replicate 7"
   REPWGT8 = "Jackknife replicate 8"
   REPWGT9 = "Jackknife replicate 9"
   REPWGT10 = "Jackknife replicate 10"
   REPWGT11 = "Jackknife replicate 11"
   REPWGT12 = "Jackknife replicate 12"
   REPWGT13 = "Jackknife replicate 13"
   REPWGT14 = "Jackknife replicate 14"
   REPWGT15 = "Jackknife replicate 15"
   REPWGT16 = "Jackknife replicate 16"
   REPWGT17 = "Jackknife replicate 17"
   REPWGT18 = "Jackknife replicate 18"
   REPWGT19 = "Jackknife replicate 19"
   REPWGT20 = "Jackknife replicate 20"
   REPWGT21 = "Jackknife replicate 21"
   REPWGT22 = "Jackknife replicate 22"
   REPWGT23 = "Jackknife replicate 23"
   REPWGT24 = "Jackknife replicate 24"
   REPWGT25 = "Jackknife replicate 25"
   REPWGT26 = "Jackknife replicate 26"
   REPWGT27 = "Jackknife replicate 27"
   REPWGT28 = "Jackknife replicate 28"
   REPWGT29 = "Jackknife replicate 29"
   REPWGT30 = "Jackknife replicate 30"
   REPWGT31 = "Jackknife replicate 31"
   REPWGT32 = "Jackknife replicate 32"
   REPWGT33 = "Jackknife replicate 33"
   REPWGT34 = "Jackknife replicate 34"
   REPWGT35 = "Jackknife replicate 35"
   REPWGT36 = "Jackknife replicate 36"
   REPWGT37 = "Jackknife replicate 37"
   REPWGT38 = "Jackknife replicate 38"
   REPWGT39 = "Jackknife replicate 39"
   REPWGT40 = "Jackknife replicate 40"
   REPWGT41 = "Jackknife replicate 41"
   REPWGT42 = "Jackknife replicate 42"
   REPWGT43 = "Jackknife replicate 43"
   REPWGT44 = "Jackknife replicate 44"
   REPWGT45 = "Jackknife replicate 45"
   REPWGT46 = "Jackknife replicate 46"
   REPWGT47 = "Jackknife replicate 47"
   REPWGT48 = "Jackknife replicate 48"
   REPWGT49 = "Jackknife replicate 49"
   REPWGT50 = "Jackknife replicate 50"
   IC0110 = "Imputation Flag"
   IC0112 = "Imputation Flag"
   IC0114 = "Imputation Flag"
   IC0116 = "Imputation Flag"
   IC0120 = "Imputation Flag"
   IC0122 = "Imputation Flag"
   IC0124 = "Imputation Flag"
   IC0126 = "Imputation Flag"
   IC0128 = "Imputation Flag"
   IC0130 = "Imputation Flag"
   IC0132 = "Imputation Flag"
   IC0134 = "Imputation Flag"
   IC0136 = "Imputation Flag"
   IC0138 = "Imputation Flag"
   IC0140 = "Imputation Flag"
   IC0141 = "Imputation Flag"
   IC0142 = "Imputation Flag"
   IC0143 = "Imputation Flag"
   IC0144 = "Imputation Flag"
   IC0146 = "Imputation Flag"
   IC0148 = "Imputation Flag"
   IC0150 = "Imputation Flag"
   IC0152 = "Imputation Flag"
   IC0154 = "Imputation Flag"
   IC0156 = "Imputation Flag"
   IC0158 = "Imputation Flag"
   IC0160 = "Imputation Flag"
   IC0162 = "Imputation Flag"
   IC0164 = "Imputation Flag"
   IC0166 = "Imputation Flag"
   IC0168 = "Imputation Flag"
   IC0169 = "Imputation Flag"
   IC0170 = "Imputation Flag"
   IC0171 = "Imputation Flag"
   IC0172 = "Imputation Flag"
   IC0173 = "Imputation Flag"
   IC0174 = "Imputation Flag"
   IC0176 = "Imputation Flag"
   IC0178 = "Imputation Flag"
   IC0180 = "Imputation Flag"
   IC0182 = "Imputation Flag"
   IC0184 = "Imputation Flag"
   IC0186 = "Imputation Flag"
   IC0188 = "Imputation Flag"
   IC0190 = "Imputation Flag"
   IC0192 = "Imputation Flag"
   IC0194 = "Imputation Flag"
   IC0196 = "Imputation Flag"
   IC0198 = "Imputation Flag"
   IC0200 = "Imputation Flag"
   IC0202 = "Imputation Flag"
   IC0204 = "Imputation Flag"
   IC0206 = "Imputation Flag"
   IC0208 = "Imputation Flag"
   IC0210 = "Imputation Flag"
   IC0212 = "Imputation Flag"
   IC0214 = "Imputation Flag"
   IC0216 = "Imputation Flag"
   IC0218 = "Imputation Flag"
   IC0220 = "Imputation Flag"
   IC0222 = "Imputation Flag"
   IC0224 = "Imputation Flag"
   IC0226 = "Imputation Flag"
   IC0228 = "Imputation Flag"
   IC0230 = "Imputation Flag"
   IC0244 = "Imputation Flag"
   IC0246 = "Imputation Flag"
   IC0248 = "Imputation Flag"
   IC0250 = "Imputation Flag"
   IC0252 = "Imputation Flag"
   IC0254 = "Imputation Flag"
   IC0256 = "Imputation Flag"
   IC0258 = "Imputation Flag"
   IC0260 = "Imputation Flag"
   IC0262 = "Imputation Flag"
   IC0264 = "Imputation Flag"
   IC0266 = "Imputation Flag"
   IC0268 = "Imputation Flag"
   IC0270 = "Imputation Flag"
   IC0272 = "Imputation Flag"
   IC0274 = "Imputation Flag"
   IC0276 = "Imputation Flag"
   IC0280 = "Imputation Flag"
   IC0282 = "Imputation Flag"
   IC0284 = "Imputation Flag"
   IC0286 = "Imputation Flag"
   IC0288 = "Imputation Flag"
   IC0290 = "Imputation Flag"
   IC0292 = "Imputation Flag"
   IC0294 = "Imputation Flag"
   IC0296 = "Imputation Flag"
   IC0298 = "Imputation Flag"
   IC0300 = "Imputation Flag"
   IC0302 = "Imputation Flag"
   IC0304 = "Imputation Flag"
   IC0306 = "Imputation Flag"
   IC0308 = "Imputation Flag"
   IC0374 = "Imputation Flag"
   IC0376 = "Imputation Flag"
   IC0378 = "Imputation Flag"
   IC0380 = "Imputation Flag"
   IC0382 = "Imputation Flag"
   IC0384 = "Imputation Flag"
   IC0386 = "Imputation Flag"
   IC0388 = "Imputation Flag"
   IC0390 = "Imputation Flag"
   IC0392 = "Imputation Flag"
   IC0394 = "Imputation Flag"
   IC0396 = "Imputation Flag"
   IC0398 = "Imputation Flag"
   IC0400 = "Imputation Flag"
   IC0402 = "Imputation Flag"
   IC0404 = "Imputation Flag"
   IC0406 = "Imputation Flag"
   IC0408 = "Imputation Flag"
   IC0410 = "Imputation Flag"
   IC0412 = "Imputation Flag"
   IC0414 = "Imputation Flag"
   IC0416 = "Imputation Flag"
   IC0418 = "Imputation Flag"
   IC0420 = "Imputation Flag"
   IC0422 = "Imputation Flag"
   IC0424 = "Imputation Flag"
   IC0426 = "Imputation Flag"
   IC0428 = "Imputation Flag"
   IC0430 = "Imputation Flag"
   IC0432 = "Imputation Flag"
   IC0434 = "Imputation Flag"
   IC0436 = "Imputation Flag"
   IC0438 = "Imputation Flag"
   IC0440 = "Imputation Flag"
   IC0442 = "Imputation Flag"
   IC0444 = "Imputation Flag"
   IC0446 = "Imputation Flag"
   IC0448 = "Imputation Flag"
   IC0450 = "Imputation Flag"
   IC0452 = "Imputation Flag"
   IC0454 = "Imputation Flag"
   IC0456 = "Imputation Flag"
   IC0508 = "Imputation Flag"
   IC0510 = "Imputation Flag"
   IC0512 = "Imputation Flag"
   IC0514 = "Imputation Flag"
   IC0516 = "Imputation Flag"
   IC0518 = "Imputation Flag"
   IC0520 = "Imputation Flag"
   IC0526 = "Imputation Flag"
   IC0528 = "Imputation Flag"
   IC0532 = "Imputation Flag"
   IC0534 = "Imputation Flag"
   IC0536 = "Imputation Flag"
   IC0538 = "Imputation Flag"
   IC0540 = "Imputation Flag"
   IC0542 = "Imputation Flag"
   IC0544 = "Imputation Flag"
   IC0546 = "Imputation Flag"
   IC0556 = "Imputation Flag"
   IC0558 = "Imputation Flag"
   IC0560 = "Imputation Flag"
   IC0562 = "Imputation Flag"
   IC0568 = "Imputation Flag"
   IC0570 = "Imputation Flag"
   IC0572 = "Imputation Flag" ;

LENGTH
   SCHID 4                  C0014_R 3                C0110 3               
   C0112 3                  C0114 3                  C0116 3               
   C0120 3                  C0122 3                  C0124 3               
   C0126 3                  C0128 3                  C0130 3               
   C0132 3                  C0134 3                  C0136 3               
   C0138 3                  C0140 3                  C0141 3               
   C0142 3                  C0143 3                  C0144 3               
   C0146 3                  C0148 3                  C0150 3               
   C0152 3                  C0154 3                  C0156 3               
   C0158 3                  C0160 3                  C0162 3               
   C0164 3                  C0166 3                  C0168 3               
   C0169 3                  C0170 3                  C0171 3               
   C0172 3                  C0173 3                  C0174 3               
   C0176 3                  C0178 3                  C0180 3               
   C0182 3                  C0184 3                  C0186 3               
   C0188 3                  C0190 3                  C0192 3               
   C0194 3                  C0196 3                  C0198 3               
   C0200 3                  C0202 3                  C0204 3               
   C0206 3                  C0208 3                  C0210 3               
   C0212 3                  C0214 3                  C0216 3               
   C0218 3                  C0220 3                  C0222 3               
   C0224 3                  C0226 3                  C0228 3               
   C0230 3                  C0244 3                  C0246 3               
   C0248 3                  C0250 3                  C0252 3               
   C0254 3                  C0256 3                  C0258 3               
   C0260 3                  C0262 3                  C0264 3               
   C0266 3                  C0268 3                  C0270 3               
   C0272 3                  C0274 3                  C0276 3               
   C0280 3                  C0282 3                  C0284 3               
   C0286 3                  C0288 3                  C0290 3               
   C0292 3                  C0294 3                  C0296 3               
   C0298 3                  C0300 3                  C0302 3               
   C0304 3                  C0306 3                  C0308 3               
   C0374 3                  C0376 3                  C0378 3               
   C0380 3                  C0382 3                  C0384 3               
   C0386 3                  C0388 3                  C0390 3               
   C0392 3                  C0394 3                  C0396 3               
   C0398 3                  C0400 3                  C0402 3               
   C0404 3                  C0406 3                  C0408 3               
   C0410 3                  C0412 3                  C0414 3               
   C0416 3                  C0418 3                  C0420 3               
   C0422 3                  C0424 3                  C0426 3               
   C0428 3                  C0430 3                  C0432 3               
   C0434 3                  C0436 3                  C0438 3               
   C0440 3                  C0442 3                  C0444 3               
   C0446 3                  C0448 3                  C0450 3               
   C0452 3                  C0454 3                  C0456 3               
   C0508 4                  C0510 4                  C0512 4               
   C0514 4                  C0516 4                  C0518 4               
   C0520 4                  C0526 3                  C0528 3               
   C0532 3                  C0534 3                  C0536 3               
   C0538 3                  C0560 3                  C0562 3               
   C0568 3                  C0570 4                  C0572 4               
   C0578_DD 3               C0578_MM 3               C0578_YY 4            
   C0580 4                  CRISIS08 3               DISTOT08 4            
   INCID08 4                INCPOL08 4               OTHACT08 4            
   OUTSUS08 4               PROBWK08 3               REMOVL08 4            
   STRATA 4                 STUOFF08 4               SVINC08 4             
   SVPOL08 4                TRANSF08 4               VIOINC08 4            
   VIOPOL08 4               DISFIRE08 4              DISWEAP08 4           
   DISDRUG08 4              DISALC08 3               DISATT08 4            
   DISINS08 4               GANGHATE 4               DISRUPT 3             
   SEC_FT 4                 SEC_PT 3                 FR_CATMN 3            
   FR_LVEL 3                FR_SIZE 3                FR_URBAN 3            
   IC0110 3                 IC0112 3                 IC0114 3              
   IC0116 3                 IC0120 3                 IC0122 3              
   IC0124 3                 IC0126 3                 IC0128 3              
   IC0130 3                 IC0132 3                 IC0134 3              
   IC0136 3                 IC0138 3                 IC0140 3              
   IC0141 3                 IC0142 3                 IC0143 3              
   IC0144 3                 IC0146 3                 IC0148 3              
   IC0150 3                 IC0152 3                 IC0154 3              
   IC0156 3                 IC0158 3                 IC0160 3              
   IC0162 3                 IC0164 3                 IC0166 3              
   IC0168 3                 IC0169 3                 IC0170 3              
   IC0171 3                 IC0172 3                 IC0173 3              
   IC0174 3                 IC0176 3                 IC0178 3              
   IC0180 3                 IC0182 3                 IC0184 3              
   IC0186 3                 IC0188 3                 IC0190 3              
   IC0192 3                 IC0194 3                 IC0196 3              
   IC0198 3                 IC0200 3                 IC0202 3              
   IC0204 3                 IC0206 3                 IC0208 3              
   IC0210 3                 IC0212 3                 IC0214 3              
   IC0216 3                 IC0218 3                 IC0220 3              
   IC0222 3                 IC0224 3                 IC0226 3              
   IC0228 3                 IC0230 3                 IC0244 3              
   IC0246 3                 IC0248 3                 IC0250 3              
   IC0252 3                 IC0254 3                 IC0256 3              
   IC0258 3                 IC0260 3                 IC0262 3              
   IC0264 3                 IC0266 3                 IC0268 3              
   IC0270 3                 IC0272 3                 IC0274 3              
   IC0276 3                 IC0280 3                 IC0282 3              
   IC0284 3                 IC0286 3                 IC0288 3              
   IC0290 3                 IC0292 3                 IC0294 3              
   IC0296 3                 IC0298 3                 IC0300 3              
   IC0302 3                 IC0304 3                 IC0306 3              
   IC0308 3                 IC0374 3                 IC0376 3              
   IC0378 3                 IC0380 3                 IC0382 3              
   IC0384 3                 IC0386 3                 IC0388 3              
   IC0390 3                 IC0392 3                 IC0394 3              
   IC0396 3                 IC0398 3                 IC0400 3              
   IC0402 3                 IC0404 3                 IC0406 3              
   IC0408 3                 IC0410 3                 IC0412 3              
   IC0414 3                 IC0416 3                 IC0418 3              
   IC0420 3                 IC0422 3                 IC0424 3              
   IC0426 3                 IC0428 3                 IC0430 3              
   IC0432 3                 IC0434 3                 IC0436 3              
   IC0438 3                 IC0440 3                 IC0442 3              
   IC0444 3                 IC0446 3                 IC0448 3              
   IC0450 3                 IC0452 3                 IC0454 3              
   IC0456 3                 IC0508 3                 IC0510 3              
   IC0512 3                 IC0514 3                 IC0516 3              
   IC0518 3                 IC0520 3                 IC0526 3              
   IC0528 3                 IC0532 3                 IC0534 3              
   IC0536 3                 IC0538 3                 IC0540 3              
   IC0542 3                 IC0544 3                 IC0546 3              
   IC0556 3                 IC0558 3                 IC0560 3              
   IC0562 3                 IC0568 3                 IC0570 3              
   IC0572 3 ;

   
format
C0014_R C0014_RF.
C0014_R C0014_RF.
C0016_R C0016_RF.
C0540_R C0540_RF.
C0542_R C0542_RF.
C0544_R C0544_RF.
C0546_R C0546_RF.
C0556_R C0556_RF.
C0558_R C0558_RF.

C0110 YESNO.
C0112 YESNO.
C0114 YESNO.
C0116 YESNO.
C0120 YESNO.
C0122 YESNO.
C0124 YESNO.
C0126 YESNO.
C0128 YESNO.
C0130 YESNO.
C0132 YESNO.
C0134 YESNO.
C0136 YESNO.
C0138 YESNO.
C0140 YESNO.
C0141 YESNO.
C0142 YESNO.
C0143 YESNO.
C0144 YESNO.
C0146 YESNO.
C0148 YESNO.
C0150 YESNO.
C0152 YESNO.
C0154 YESNO.
C0156 LegSkip.
C0158 YESNO.
C0160 LegSkip.
C0162 YESNO.
C0164 LegSkip.
C0166 YESNO.
C0168 LegSkip.
C0169 YESNO.
C0170 YESNO.
C0171 YESNO.
C0172 LegSkip.
C0173 YESNO.
C0174 YESNO.
C0176 YESNO.
C0178 YESNO.
C0180 YESNO.
C0182 YESNO.
C0184 YESNO.
C0186 YESNO.
C0188 YESNO.
C0190 YESNO.
C0192 YESNO.
C0194 YESNO.
C0196 Q5F.
C0198 Q5F.
C0200 Q5F.
C0202 Q5F.
C0204 YESNO.
C0206 YESNO.
C0208 YESNO.
C0210 YESNO.
C0212 YESNO.
C0214 YESNO.
C0216 YESNO.
C0218 YESNO.
C0220 YESNO.
C0222 LegSkip.
C0224 LegSkip.
C0226 LegSkip.
C0228 LegSkip.
C0230 LegSkip.
C0244 LegSkip.
C0246 LegSkip.
C0248 LegSkip.
C0250 LegSkip.
C0252 LegSkip.
C0254 LegSkip.
C0256 LegSkip.
C0258 LegSkip.
C0260 LegSkip.
C0262 LegSkip.
C0264 LegSkip.
C0266 YESNO.
C0268 YESNO.
C0270 YESNO.
C0272 YESNO.
C0274 YESNO.
C0276 YESNO.
C0280 Q13F.
C0282 Q13F.
C0284 Q13F.
C0286 Q13F.
C0288 Q13F.
C0290 Q13F.
C0292 Q13F.
C0294 Q13F.
C0296 Q13F.
C0298 Q13F.
C0300 Q13F.
C0302 Q13F.
C0304 Q13F.
C0306 YESNO.
C0308 YESNO.
C0374 Q20F.
C0376 Q20F.
C0378 Q20F.
C0380 Q20F.
C0382 Q20F.
C0384 Q20F.
C0386 Q20F.
C0388 Q20F.
C0390 YESNO.
C0392 LegSkip.
C0394 YESNO.
C0396 LegSkip.
C0398 YESNO.
C0400 LegSkip.
C0402 YESNO.
C0404 LegSkip.
C0406 YESNO.
C0408 LegSkip.
C0410 YESNO.
C0412 LegSkip.
C0414 YESNO.
C0416 LegSkip.
C0418 YESNO.
C0420 LegSkip.
C0422 YESNO.
C0424 LegSkip.
C0426 YESNO.
C0428 LegSkip.
C0430 YESNO.
C0432 LegSkip.
C0434 YESNO.
C0436 LegSkip.
C0438 YESNO.
C0440 LegSkip.
C0442 YESNO.
C0444 LegSkip.
C0446 YESNO.
C0448 LegSkip.
C0450 YESNO.
C0452 LegSkip.
C0454 YESNO.
C0456 LegSkip.
C0560 CRIME.
C0562 CRIME.
C0578 $STRMSG.
C0578_DD SASMSG.
C0578_MM SASMSG.
C0578_YY SASMSG.
STRATA STRF.
FR_CATMN FR_CATMN.
FR_LVEL FR_LVELF.
FR_SIZE FR_SIZEF.
FR_URBAN FR_URBAN.
IC0110 flg.
IC0112 flg.
IC0114 flg.
IC0116 flg.
IC0120 flg.
IC0122 flg.
IC0124 flg.
IC0126 flg.
IC0128 flg.
IC0130 flg.
IC0132 flg.
IC0134 flg.
IC0136 flg.
IC0138 flg.
IC0140 flg.
IC0141 flg.
IC0142 flg.
IC0143 flg.
IC0144 flg.
IC0146 flg.
IC0148 flg.
IC0150 flg.
IC0152 flg.
IC0154 flg.
IC0156 flg.
IC0158 flg.
IC0160 flg.
IC0162 flg.
IC0164 flg.
IC0166 flg.
IC0168 flg.
IC0169 flg.
IC0170 flg.
IC0171 flg.
IC0172 flg.
IC0173 flg.
IC0174 flg.
IC0176 flg.
IC0178 flg.
IC0180 flg.
IC0182 flg.
IC0184 flg.
IC0186 flg.
IC0188 flg.
IC0190 flg.
IC0192 flg.
IC0194 flg.
IC0196 flg.
IC0198 flg.
IC0200 flg.
IC0202 flg.
IC0204 flg.
IC0206 flg.
IC0208 flg.
IC0210 flg.
IC0212 flg.
IC0214 flg.
IC0216 flg.
IC0218 flg.
IC0220 flg.
IC0222 flg.
IC0224 flg.
IC0226 flg.
IC0228 flg.
IC0230 flg.
IC0244 flg.
IC0246 flg.
IC0248 flg.
IC0250 flg.
IC0252 flg.
IC0254 flg.
IC0256 flg.
IC0258 flg.
IC0260 flg.
IC0262 flg.
IC0264 flg.
IC0266 flg.
IC0268 flg.
IC0270 flg.
IC0272 flg.
IC0274 flg.
IC0276 flg.
IC0280 flg.
IC0282 flg.
IC0284 flg.
IC0286 flg.
IC0288 flg.
IC0290 flg.
IC0292 flg.
IC0294 flg.
IC0296 flg.
IC0298 flg.
IC0300 flg.
IC0302 flg.
IC0304 flg.
IC0306 flg.
IC0308 flg.
IC0374 flg.
IC0376 flg.
IC0378 flg.
IC0380 flg.
IC0382 flg.
IC0384 flg.
IC0386 flg.
IC0388 flg.
IC0390 flg.
IC0392 flg.
IC0394 flg.
IC0396 flg.
IC0398 flg.
IC0400 flg.
IC0402 flg.
IC0404 flg.
IC0406 flg.
IC0408 flg.
IC0410 flg.
IC0412 flg.
IC0414 flg.
IC0416 flg.
IC0418 flg.
IC0420 flg.
IC0422 flg.
IC0424 flg.
IC0426 flg.
IC0428 flg.
IC0430 flg.
IC0432 flg.
IC0434 flg.
IC0436 flg.
IC0438 flg.
IC0440 flg.
IC0442 flg.
IC0444 flg.
IC0446 flg.
IC0448 flg.
IC0450 flg.
IC0452 flg.
IC0454 flg.
IC0456 flg.
IC0508 flg.
IC0510 flg.
IC0512 flg.
IC0514 flg.
IC0516 flg.
IC0518 flg.
IC0520 flg.
IC0526 flg.
IC0528 flg.
IC0532 flg.
IC0534 flg.
IC0536 flg.
IC0538 flg.
IC0540 flg.
IC0542 flg.
IC0544 flg.
IC0546 flg.
IC0556 flg.
IC0558 flg.
IC0560 flg.
IC0562 flg.
IC0568 flg.
IC0570 flg.
IC0572 flg.
;
     
 
RUN ;
